
//volatile int k;
//static void putchar(int c) { k = c; }
//
extern int putchar(int);



#define MANDEL 1

typedef double real;

int main(void)
{
	const real XMin = -2.1;
	const real XMax = +1.1;
	const real YMin = -1.4;
	const real YMax = +1.4;
	
	const unsigned ymax = 58;
	const unsigned xmax = 102;
	
	register real IP = YMin;
	const real ia = (YMax-YMin)/ymax;
	const real ra = (XMax-XMin)/xmax;
	unsigned y;
	for(y=0; y<ymax; ++y, IP += ia)
	{
		register real RP = XMin;
		unsigned x;
		for(x=0; x<xmax; ++x, RP += ra)
		{
			register real x0 = RP, y0 = IP;
			int c;
			for(c=0; ; ++c)
			{
				const real x1 = x0*x0;
				const real y1 = y0*y0;
				
				if(c >= 64 || (x1+y1) >= 4)
				{
					putchar(96-c);
					break;
				}
				y0 = x0*y0*2 + (MANDEL ? IP : +0.682);
				x0 = x1-y1   + (MANDEL ? RP : -0.282);
			}
		}
		
		putchar('\n');
	}
	return 0;
}
